Package Details: cairo-dock-plug-ins-extras 3.4.0-2

Git Clone URL: https://aur.archlinux.org/cairo-dock-plug-ins-extras.git (read-only, click to copy)
Package Base: cairo-dock-plug-ins-extras
Description: Extra plugins for cairo-dock
Upstream URL: https://launchpad.net/cairo-dock-plug-ins-extras
Licenses: GPL3, LGPL3
Submitter: None
Maintainer: None
Last Packager: lesebas
Votes: 44
Popularity: 0.000000
First Submitted: 2012-11-10 12:28 (UTC)
Last Updated: 2015-06-23 21:41 (UTC)

Dependencies (11)

Required by (0)

Sources (1)

Latest Comments

lesebas commented on 2015-04-03 16:46 (UTC)

Hello, I've made a package cairo-dock-plug-ins-extra-git. Let's try and let me know. https://aur.archlinux.org/packages/cairo-dock-plug-ins-extras-git/

lesebas commented on 2015-04-03 16:33 (UTC)

Hello, If you are using cairo-dock-git you need cairo-dock-plugins-bzr. The name is wrong but it will download the package on git-hub

lylambda commented on 2015-04-03 15:16 (UTC)

Something don't work. Look at this : http://pastebin.com/zFBYgVir I remove the last "cairo-dock-plug-ins-extras" package for re-install, but nothing change. If that can help, I use "cairo-dock-git" and "cairo-dock-plugins-git"

lesebas commented on 2015-04-01 19:38 (UTC)

For the first error you're right I didn't notice it as it did not stop the compilation. Corrected in release 2 (quotes were missing). Please retry and let me know if it's OK.

lylambda commented on 2015-03-31 21:41 (UTC)

That don't work for me : "cairo-dock-plug-ins-extras 3.4.0-1 (sam. nov. 10 13:28:10 CET 2012) ( Paquet non supporté : peut être dangereux ! ) /tmp/yaourt-tmp-lylambda/aur-cairo-dock-plug-ins-extras/./tmp.ftXIlyPTMf: ligne 13: erreur de syntaxe près du symbole inattendu « > » /tmp/yaourt-tmp-lylambda/aur-cairo-dock-plug-ins-extras/./tmp.ftXIlyPTMf: ligne 13: `depends=(cairo-dock-plug-ins>=3.4.0 python-dbus)' ==> ERREUR : pkgver ne peut pas être vide. ==> ERREUR : pkgrel ne peut pas être vide. ==> ERREUR : n’est pas disponible pour l’architecture « x86_64 ». Notez que beaucoup de paquets peuvent avoir besoin d’une ligne dans PKGBUILD tel que arch=('x86_64'). Impossible de lire le PKGBUILD"

lesebas commented on 2015-03-30 19:28 (UTC)

Updated, enjoy!

Afwas commented on 2015-03-18 16:51 (UTC)

PKGBUILD http://sprunge.us/PbKf

PhotonX commented on 2015-03-16 05:39 (UTC)

Please replace the dependence cairo-dock-plugins to cairo-dock-plug-ins and update to 3.4.0!

lingeek commented on 2014-11-05 21:55 (UTC)

For PKGBUILD, just edit pkgver to 3.4.0 and skip sha256sum and sha512sum. This updates it to 3.4.0

lesebas commented on 2014-10-27 21:16 (UTC)

Please update to 3.4

fredcote commented on 2014-07-11 17:45 (UTC)

extra/python-lxml is needed to make Gmail applet work. Could it be listed as an optional dependency?

lesebas commented on 2014-02-20 06:29 (UTC)

Hey you're right... I didn't notice that my browser did not update the PKGBUILD web page. Everything works fine now, many thanks!

luolimao commented on 2014-02-19 23:07 (UTC)

Maybe purge the browser cache?

luolimao commented on 2014-02-19 23:06 (UTC)

That's the wrong PKGBUILD; the current version is 3.3.2.

lesebas commented on 2014-02-19 20:33 (UTC)

Hello, You updated the sources but your PKBUILD doesn't work for me. Same problem as t0m5k1 : -> Extraction de cairo-dock-plug-ins-extras_3.2.1_python2.tar.gz avec bsdtar ==> Entre dans l’environnement fakeroot... ==> Lancement de package()... Package cairo-dock was not found in the pkg-config search path. Perhaps you should add the directory containing `cairo-dock.pc' to the PKG_CONFIG_PATH environment variable No package 'cairo-dock' found ==> ERREUR : Une erreur s’est produite dans package(). Abandon... No problem for me with my PKGBUILD proposal.

lesebas commented on 2014-02-13 22:09 (UTC)

Hello, Here is the PKGBUILD that works for last version 3.3.2 with python 3. Please update or disown the package : # Maintainer: Limao Luo <luolimao+AUR@gmail.com> # Contributor: lesebas <> pkgname=cairo-dock-plug-ins-extras pkgver=3.3.2 pkgrel=2 pkgdesc="Extra plugins for cairo-dock" arch=(any) url=https://launchpad.net/$pkgname license=(GPL3 LGPL3) depends=('cairo-dock-plugins' 'python' 'python-dbus') optdepends=('python2-dbus' 'vala' 'python-sgmllib: Google' 'bsdmainutils: calendar[AUR]' 'gtg: GTG [AUR]' 'kdeplasma-addons-applets-lancelot: lancelot' 'deluge: Deluge' 'ktorrent: KTorrent' 'mintmenu: MintMenu[AUR]' ) source=($url/${pkgver:0:3}/$pkgver/+download/${pkgname}_${pkgver}.tar.gz) sha256sums=('f9f3ab637a1a991db2a58e4064927a307cc55c62c4cd0c36c324de8daffeed3e') sha512sums=('d98d3d33f6944a228211a348976c7f97672624e6c36a329df2b086b26071447d7c30eeb48839d9b705e40918b92ef57140c16dfce3d734f7a19fc20ebf2b0ed4') package() { cd_pluginsdatadir=$(pkg-config gldi --variable=pluginsdatadir) rm -rf "${pkgdir}${cd_pluginsdatadir}/Dbus/" mkdir -p "${pkgdir}${cd_pluginsdatadir}/Dbus/" cp -r "${srcdir}/${pkgname}_${pkgver}" "${pkgdir}${cd_pluginsdatadir}/Dbus/third-party" }

t0m5k1 commented on 2013-11-10 21:48 (UTC)

unable to install: Package cairo-dock was not found in the pkg-config search path. Perhaps you should add the directory containing `cairo-dock.pc' to the PKG_CONFIG_PATH environment variable No package 'cairo-dock' found pacman -Qi cairo-dock Name : cairo-dock Version : 3.3.2-1 Description : Light eye-candy fully themable animated dock Architecture : x86_64 URL : https://launchpad.net/cairo-dock-core Licences : GPL Groups : None Provides : None Depends On : curl dbus-glib gtk3 librsvg Optional Deps : cairo-dock-plugins: Plugins for Cairo-Dock [installed] Required By : cairo-dock-plug-ins-extras cairo-dock-plugins Optional For : None Conflicts With : None Replaces : None Installed Size : 5613.00 KiB Packager : Maxime Gauduin <alucryd@gmail.com> Build Date : Thu 31 Oct 2013 00:30:00 SAST Install Date : Fri 08 Nov 2013 00:11:20 SAST Install Reason : Explicitly installed Install Script : No Validated By : Signature unsure how to resolve!!

lesebas commented on 2013-08-28 19:22 (UTC)

Hello, I apology I was thinking to comment the package cairo-dock-plug-ins-extras-bzr.

luolimao commented on 2013-08-28 13:32 (UTC)

It's not a VCS package. If you want to make one, go ahead. I'm updating from 3.2.0 to 3.2.1, and that's all that I can tell that I need to do. The PKGBUILD in the link is for a BZR version of this package. If there is something else that I need to do for this version, you can comment here (I can't read French, sorry).

City-busz commented on 2013-04-07 22:15 (UTC)

Okay, thanks.

luolimao commented on 2013-04-07 08:50 (UTC)

Actually, I finally heard back from the upstream devs, and I got a working solution. Fixed and uploaded.

City-busz commented on 2013-04-06 15:42 (UTC)

According to the Arch Packaging Standards, a package should not contain the /home directory. If you can't found an another way, then I'll have to remove this package from AUR. You could report the problem to the upstream developers: https://bugs.launchpad.net/cairo-dock-plug-ins-extras

luolimao commented on 2013-03-26 19:27 (UTC)

Nope, I can't get around it; you have to use sudo in this case. For some reason, installing the plug-ins in /usr/share/cairo-dock/third-party/ doesn't work.

ryenus commented on 2013-03-26 14:21 (UTC)

There's a problem, I installed using pacaur without sudo, the dir ~/.config/cairo-dock/third-party get to owned by root:root.